Bug 811387 - Debian "hardening" build fails
Debian "hardening" build fails
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
3.3-beta
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vijay Bellur
Sachidananda Urs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 17:20 EDT by Jeff Darcy
Modified: 2013-07-24 13:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:11:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Darcy 2012-04-10 17:20:58 EDT
The problem is that "gcc -Werror=format-security" complains about a format string that's not a string literal even though the string in question is clearly and provably unchanged from when it came from a string literal one line before.  That's a gcc bug, but nonetheless it's easy to work around.
Comment 1 Anand Avati 2012-04-10 17:37:38 EDT
CHANGE: http://review.gluster.com/3117 (Fix compiler warnings and typos from Debian build.) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Sachidananda Urs 2012-05-31 03:22:02 EDT
Fix in upstream, will verify later.

Note You need to log in before you can comment on or make changes to this bug.